curl --request GET \
--url https://api.unibee.dev/merchant/credit/detail \
--header 'Authorization: Bearer <token>'{
"code": 123,
"data": {
"creditAccount": {
"amount": 123,
"createTime": 123,
"currency": "<string>",
"currencyAmount": 123,
"exchangeRate": 123,
"id": 123,
"totalDecrementAmount": 123,
"totalIncrementAmount": 123,
"type": 123,
"user": {
"address": "<string>",
"avatarUrl": "<string>",
"billingType": 123,
"birthday": "<string>",
"city": "<string>",
"companyName": "<string>",
"countryCode": "<string>",
"countryName": "<string>",
"createTime": 123,
"custom": "<string>",
"email": "<string>",
"externalUserId": "<string>",
"facebook": "<string>",
"firstName": "<string>",
"gatewayId": 123,
"gatewayPaymentType": "<string>",
"gender": "<string>",
"id": 123,
"isRisk": 123,
"isSpecial": 123,
"language": "<string>",
"lastLoginAt": 123,
"lastName": "<string>",
"linkedIn": "<string>",
"merchantId": 123,
"metadata": {},
"mobile": "<string>",
"otherSocialInfo": "<string>",
"paymentMethod": "<string>",
"phone": "<string>",
"recurringAmount": 123,
"registrationNumber": "<string>",
"school": "<string>",
"state": "<string>",
"status": 123,
"subscriptionId": "<string>",
"subscriptionName": "<string>",
"subscriptionStatus": 123,
"taxPercentage": 123,
"telegram": "<string>",
"tikTok": "<string>",
"timeZone": "<string>",
"type": 123,
"userName": "<string>",
"vATNumber": "<string>",
"version": 123,
"weChat": "<string>",
"whatsAPP": "<string>",
"zipCode": "<string>"
}
},
"creditTransactions": [
{
"accountType": 123,
"bizId": "<string>",
"by": "<string>",
"createTime": 123,
"creditAmountAfter": 123,
"creditAmountBefore": 123,
"creditId": 123,
"currency": "<string>",
"deltaAmount": 123,
"deltaCurrencyAmount": 123,
"description": "<string>",
"exchangeRate": 123,
"id": 123,
"invoiceId": "<string>",
"merchantId": 123,
"name": "<string>",
"transactionId": "<string>",
"transactionType": 123,
"userId": 123
}
]
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}curl --request GET \
--url https://api.unibee.dev/merchant/credit/detail \
--header 'Authorization: Bearer <token>'{
"code": 123,
"data": {
"creditAccount": {
"amount": 123,
"createTime": 123,
"currency": "<string>",
"currencyAmount": 123,
"exchangeRate": 123,
"id": 123,
"totalDecrementAmount": 123,
"totalIncrementAmount": 123,
"type": 123,
"user": {
"address": "<string>",
"avatarUrl": "<string>",
"billingType": 123,
"birthday": "<string>",
"city": "<string>",
"companyName": "<string>",
"countryCode": "<string>",
"countryName": "<string>",
"createTime": 123,
"custom": "<string>",
"email": "<string>",
"externalUserId": "<string>",
"facebook": "<string>",
"firstName": "<string>",
"gatewayId": 123,
"gatewayPaymentType": "<string>",
"gender": "<string>",
"id": 123,
"isRisk": 123,
"isSpecial": 123,
"language": "<string>",
"lastLoginAt": 123,
"lastName": "<string>",
"linkedIn": "<string>",
"merchantId": 123,
"metadata": {},
"mobile": "<string>",
"otherSocialInfo": "<string>",
"paymentMethod": "<string>",
"phone": "<string>",
"recurringAmount": 123,
"registrationNumber": "<string>",
"school": "<string>",
"state": "<string>",
"status": 123,
"subscriptionId": "<string>",
"subscriptionName": "<string>",
"subscriptionStatus": 123,
"taxPercentage": 123,
"telegram": "<string>",
"tikTok": "<string>",
"timeZone": "<string>",
"type": 123,
"userName": "<string>",
"vATNumber": "<string>",
"version": 123,
"weChat": "<string>",
"whatsAPP": "<string>",
"zipCode": "<string>"
}
},
"creditTransactions": [
{
"accountType": 123,
"bizId": "<string>",
"by": "<string>",
"createTime": 123,
"creditAmountAfter": 123,
"creditAmountBefore": 123,
"creditId": 123,
"currency": "<string>",
"deltaAmount": 123,
"deltaCurrencyAmount": 123,
"description": "<string>",
"exchangeRate": 123,
"id": 123,
"invoiceId": "<string>",
"merchantId": 123,
"name": "<string>",
"transactionId": "<string>",
"transactionType": 123,
"userId": 123
}
]
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}https://api.unibee.dev/merchant/credit/detail
Credit Account Detail
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
| Name | Type | Required | Description |
|---|---|---|---|
id | integer | Yes | The credit account Id |
curl -X GET "https://api.unibee.dev/merchant/credit/detail" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"
curl -X GET "https://api-sandbox.unibee.top/merchant/credit/detail" \
-H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
-H "Content-Type: application/json"
code, data, message, redirect, and requestId. code 0 indicates success.
| Field | Type | Description |
|---|---|---|
code | integer | Response code. 0 = success |
data | object | Response payload |
data.creditAccount | object | |
data.creditTransactions | array | Credit Transaction List |
message | string | Human-readable message |
requestId | string | Request ID for support |
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The credit account Id